--- title: "GetNotificationRecipientList" slug: "management-cloudinsight-getnotificationrecipientlist" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getnotificationrecipientlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetNotificationRecipientList Available in Classic and VPC Get information on the notification recipients who will receive notifications when an event occurs. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /cw_fea/real/cw/api/rule/notify/groups | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/rule/notify/groups' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `personalNotification` | Boolean | - | Notification recipient type - `true` \| `false` - `true`: Notification recipient | Note - See [PersonalRecipientNotification](/docs/en/common-vapidatatype-cipersonalrecipientnotification) for more information on the fields related to the notification recipient information. - See [RecipientNotification](/docs/en/common-vapidatatype-cirecipientnotification) for more information on the fields related to the notification recipient group information. ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "groupName": "NAVERCloud", "groupNum": ****, "personalNotification": false }, { "managerName": "hongildong", "managerNo": ******, "personalNotification": true } ] ```